# Interface_InterfaceError.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Interface_InterfaceError.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_Failure.hxx>`

## Defines

#define | Interface_InterfaceError_Raise_if(CONDITION, MESSAGE) if (CONDITION) Interface_InterfaceError::Raise(MESSAGE);

## Define Documentation

#define Interface_InterfaceError_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) Interface_InterfaceError::Raise(MESSAGE);